<resources>


    <style name="AppTheme" parent="Theme.AppCompat.Light.DarkActionBar">
        <item name="colorPrimary">@color/main_color</item>
        <item name="colorPrimaryDark">@color/main_color</item>
        <item name="colorAccent">@color/main_color</item>
    </style>

    <style name="default_animation" parent="@android:style/Animation.Translucent">
        <item name="android:windowEnterAnimation">@anim/slide_open_enter</item>
        <item name="android:windowExitAnimation">@anim/slide_close_exit</item>
        <item name="android:taskOpenEnterAnimation">@anim/slide_open_enter</item>
        <item name="android:taskOpenExitAnimation">@anim/slide_open_exit</item>
        <item name="android:activityOpenEnterAnimation">@anim/slide_open_enter</item>
        <item name="android:activityOpenExitAnimation">@anim/slide_open_exit</item>
        <item name="android:activityCloseEnterAnimation">@anim/slide_close_enter</item>
        <item name="android:activityCloseExitAnimation">@anim/slide_close_exit</item>
        <item name="android:taskCloseEnterAnimation">@anim/slide_close_enter</item>
        <item name="android:taskCloseExitAnimation">@anim/slide_close_exit</item>
        <item name="android:taskToBackEnterAnimation">@anim/slide_close_enter</item>
        <item name="android:taskToBackExitAnimation">@anim/slide_close_exit</item>
    </style>
    <style name="none_animation" parent="@android:style/Animation.Translucent">
        <item name="android:windowEnterAnimation">@null</item>
        <item name="android:windowExitAnimation">@null</item>
        <item name="android:taskOpenEnterAnimation">@null</item>
        <item name="android:taskOpenExitAnimation">@null</item>
        <item name="android:activityOpenEnterAnimation">@null</item>
        <item name="android:activityOpenExitAnimation">@null</item>
        <item name="android:activityCloseEnterAnimation">@null</item>
        <item name="android:activityCloseExitAnimation">@null</item>
        <item name="android:taskCloseEnterAnimation">@null</item>
        <item name="android:taskCloseExitAnimation">@null</item>
        <item name="android:taskToBackEnterAnimation">@null</item>
        <item name="android:taskToBackExitAnimation">@null</item>
    </style>

    <style name="style_bg_transparent_dialog" parent="Base.Theme.AppCompat.Light.Dialog">
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowIsTranslucent">true</item>
    </style>

    <style name="QMTheme" parent="QMUI.Compat.NoActionBar">
        <item name="android:windowAnimationStyle">@style/default_animation</item>
        <item name="android:windowIsTranslucent">true</item>
        <!-- toolbar（actionbar）颜色 -->
        <item name="colorPrimary">@color/main_color</item>
        <!-- 状态栏颜色 -->
        <item name="colorPrimaryDark">@color/main_color</item>
        <item name="colorAccent">@color/main_color</item>
        <!-- 窗口的背景颜色 -->
        <!-- 配置Android提供的theme -->
        <item name="android:textAppearanceListItemSmall">@style/QDTextAppearanceListItemSmall</item>
        <item name="android:textAppearanceListItem">@style/QDtextAppearanceListItem</item>
        <item name="android:listPreferredItemHeight">?attr/qmui_list_item_height_higher</item>
        <item name="android:listPreferredItemHeightSmall">?attr/qmui_list_item_height</item>
        <item name="android:windowSoftInputMode">stateHidden</item>
        <item name="android:windowFullscreen">false</item>
        <item name="android:windowBackground">@android:color/transparent</item>

        <!-- 配置qmui提供的theme -->
        <item name="qmui_config_color_blue">@color/main_color</item>
        <item name="qmui_content_spacing_horizontal">20dp</item>
        <item name="qmui_content_padding_horizontal">@dimen/qmui_content_spacing_horizontal</item>

        <item name="QMUITopBarStyle">@style/QDTopBar</item>
    </style>



    <style name="NoAnimationTheme" parent="QMTheme">
        <item name="android:windowAnimationStyle">@style/none_animation</item>
    </style>

    <style name="BaseSplashTheme" parent="QMUI.Compat.NoActionBar">
        <item name="android:windowAnimationStyle">@style/none_animation</item>
        <item name="android:windowIsTranslucent">false</item>
        <item name="android:windowFullscreen">true</item>
    </style>

    <style name="ThemeWhite" parent="QMTheme">
        <item name="android:windowBackground">@android:color/white</item>
    </style>


    <style name="QDtextAppearanceListItem">
        <item name="android:textColor">?attr/qmui_config_color_black</item>
        <item name="android:textSize">18sp</item>
        <item name="android:background">?attr/qmui_s_list_item_bg_with_border_bottom_inset_left
        </item>
    </style>

    <style name="QDTextAppearanceListItemSmall">
        <item name="android:textColor">?attr/qmui_config_color_gray_4</item>
        <item name="android:textSize">16sp</item>
        <item name="android:background">?attr/qmui_s_list_item_bg_with_border_bottom_inset_left
        </item>
    </style>

    <style name="QDTopBar" parent="QMUI.TopBar">
        <item name="qmui_topbar_bg_color">@color/main_color</item>
        <item name="qmui_topbar_title_color">@color/main_text_color</item>
        <item name="qmui_topbar_separator_height">0px</item>
        <item name="qmui_topbar_subtitle_color">@color/main_text_color</item>
        <item name="qmui_topbar_text_btn_color_state_list">@color/main_text_color</item>
    </style>


    <!--行按钮-->
    <style name="span_button">
        <item name="android:orientation">horizontal</item>
        <item name="android:paddingTop">12dp</item>
        <item name="android:paddingBottom">12dp</item>
        <item name="android:gravity">center_vertical</item>
    </style>

    <style name="span_text">
        <item name="android:textSize">14dp</item>
        <item name="android:textColor">@color/qmui_config_color_gray_1</item>
        <item name="android:gravity">center_vertical</item>
        <item name="android:background">@color/translateColor</item>
    </style>


    <!--分割线-->
    <style name="gray_line_vertical">
        <item name="android:layout_width">1dp</item>
        <item name="android:layout_height">match_parent</item>
        <item name="android:background">@color/qmui_config_color_gray_9</item>
    </style>

    <style name="gray_line">
        <item name="android:layout_width">match_parent</item>
        <item name="android:layout_height">1dp</item>
        <item name="android:background">@color/gray_bg</item>
    </style>

    <!--行标题-->
    <style name="text_8">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:textSize">12dp</item>
    </style>


    <!--行标题-->
    <style name="span_title">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:drawablePadding">10dp</item>
        <item name="android:textColor">@color/qmui_config_color_gray_2</item>
    </style>

    <!--行标题-->
    <style name="span_title1" parent="span_title">
        <item name="android:textSize">17sp</item>
    </style>

    <!--行标题-->
    <style name="span_title2" parent="span_title">
        <item name="android:textSize">15sp</item>
    </style>

    <!--行标题-->
    <style name="span_title3" parent="span_title">
        <item name="android:textSize">13sp</item>
        <item name="android:textColor">@color/qmui_config_color_gray_8</item>
    </style>

    <!--主色调按钮-->
    <style name="main_color_btn">
        <item name="android:textColor">@color/white</item>
        <item name="android:background">@color/main_color</item>
    </style>

    <style name="main_color_roundBtn">
        <item name="android:textColor">@color/white</item>
        <item name="android:background">@drawable/shape_mainsolid_round</item>
    </style>

    <style name="vertical_padding_10dp">
        <item name="android:paddingTop">10dp</item>
        <item name="android:paddingBottom">10dp</item>
    </style>

    <style name="vertical_padding_20dp">
        <item name="android:paddingTop">20dp</item>
        <item name="android:paddingBottom">20dp</item>
    </style>

    <style name="vertical_padding_30dp">
        <item name="android:paddingTop">20dp</item>
        <item name="android:paddingBottom">20dp</item>
    </style>

    <style name="vertical_padding_40dp">
        <item name="android:paddingTop">20dp</item>
        <item name="android:paddingBottom">20dp</item>
    </style>

    <style name="vertical_padding_50dp">
        <item name="android:paddingTop">20dp</item>
        <item name="android:paddingBottom">20dp</item>
    </style>


    <!--权重1-->
    <style name="horizontal_weight_1">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_weight">1</item>
    </style>

    <!--权重1-->
    <style name="vertical_weight_1">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_weight">1</item>
    </style>

</resources>
